openQA Tests - action #58739

[qac][jdp][public cloud] Group publiccloud images by FLAVOR in JDP report
2019-10-28 12:32 - cfconrad

Status: Workable Start date: 2019-10-28
Priority: Low Due date:

Assignee: % Done: 0%
Category: Enhancement to existing tests Estimated time: 0.00 hour

Target version:

Difficulty:

Description

Problem:

Publiccloud-team produce image with KIWI and BUILD number.

The result is, that we can get different KIWI-BUILD tuple within each FLAVOR (@see
https://build.suse.de/package/view_file/SUSE:SLE-12-SP5:GA/SLES12-SP5-Azure/config.kiwi?expand=1)

TODO:
We need to adopt JDP to build groups based on VERSION-FLAVOR-ARCH-MACHINE. (@see
https://gitlab.suse.de/rpalethorpe/jdp/blob/master/notebooks/Report-Status-Diff.ipynb)

Example list of PC images:

SLES12-SP5-Azure.x86_64-0.9.0-Standard-On-Demand-Build3.2
SLES12-SP5-Azure.x86_64-0.9.0-Basic-On-Demand-Build3.2
SLES12-SP5-Azure.x86_64-0.9.1-BYOS-Build3.2
SLES12-SP5-EC2.x86_64-0.9.1-BYOS-Buildl.55
SLES12-SP5-EC2.x86_64-0.9.1-On-Demand-Buildl.55
SLES12-SP5-GCE.x86_64-0.9.1-On-Demand-Buildl.55
SLES12-SP5-GCE.x86_64-0.9.1-BYOS-Buildl.55

The FLAVOR variable from openQA contains both (CPS name and Image flavor), e.g. GCE-On-Demand or
Azure-Standard-On-Demand.
The BUILD variable form openQA contains KIWI and Build number, separated by -, e.g. 0.9.1-1.55.

Related issues:
Related to openQA Tests - action #58268: [kernel][public cloud] Fix OpenQA vi... Resolved 2019-10-16

History

#1 - 2019-10-28 12:34 - cfconrad
- Description updated
- Status changed from New to Workable

- Target version set to 445

#2 - 2019-10-28 12:34 - cfconrad

- Related to action #58268: [kernel][public cloud] Fix OpenQA view with different versions of different flavors added

#3 - 2019-10-28 12:35 - cfconrad

- Subject changed from [kernel][jdp][public cloud] Make groups of images for each flavor to [kernel][jdp][public cloud] Group publiccloud images by
FLAVOR in JDP report

#4 - 2019-11-08 09:05 - metan
- Target version changed from 445 to 454

#5 - 2020-01-15 12:15 - okurz

- Category set to Enhancement to existing tests

#6 - 2020-03-30 14:04 - jlausuch
- Subject changed from [kernel][jdp][public cloud] Group publiccloud images by FLAVOR in JDP report to [qac][jdp][public cloud] Group publiccloud
images by FLAVOR in JDP report

- Priority changed from Normal to Low

- Target version deleted (454)

#7 - 2021-07-13 11:49 - jlausuch

Clemens, can you update ticket once you are back? Not sure the status of it and if it's already applicable.
